# Get all locked balances

`GET /v3-node-0/smartaccount/{address}/lockedBalances`

Returns the amount locked in resting orders for every token in a smart account (the all-tokens counterpart to /lockedBalance)

## Authorization



## Parameters

- path: address (string; required). Smart account address

Type: string

## Example · cURL

```bash
curl --request GET 'https://api.storm.tg/v3-node-0/smartaccount/{address}/lockedBalances' \
  --header 'Accept: application/json'
```

## Example · JavaScript

```javascript
const response = await fetch("https://api.storm.tg/v3-node-0/smartaccount/{address}/lockedBalances", {
  method: "GET",
  headers: {
    "Accept": "application/json"
  },
});
console.log(response.status, await response.text());
```

## Example · Python

```python
import requests

response = requests.request(
    "GET",
    "https://api.storm.tg/v3-node-0/smartaccount/{address}/lockedBalances",
    headers={"Accept":"application/json"},
    timeout=30,
)
print(response.status_code, response.text)
```

## Response 200 · Trading.api.BalancesResponse

**200** application/json — OK

Schema: Trading.api.BalancesResponse

Type: object

*.Schema: Trading.big.Int

*.Type: object

Example



```json
{
  "key": {}
}
```

## Response 400 · Trading.api.ErrorResponse

**400** application/json — Bad Request

Schema: Trading.api.ErrorResponse

Type: object

Required fields: none

- code (string; optional)

code example: string

code.Type: string

- error (string; optional)

error example: string

error.Type: string

- externalQueryId (string; optional)

externalQueryId example: string

externalQueryId.Type: string

- msg (string; optional)

msg example: string

msg.Type: string

Example



```json
{
  "code": "string",
  "error": "string",
  "externalQueryId": "string",
  "msg": "string"
}
```

## Response 404 · Trading.api.ErrorResponse

**404** application/json — Not Found

Schema: Trading.api.ErrorResponse

Type: object

Required fields: none

- code (string; optional)

code example: string

code.Type: string

- error (string; optional)

error example: string

error.Type: string

- externalQueryId (string; optional)

externalQueryId example: string

externalQueryId.Type: string

- msg (string; optional)

msg example: string

msg.Type: string

Example



```json
{
  "code": "string",
  "error": "string",
  "externalQueryId": "string",
  "msg": "string"
}
```

## Response 500 · Trading.api.ErrorResponse

**500** application/json — Internal Server Error

Schema: Trading.api.ErrorResponse

Type: object

Required fields: none

- code (string; optional)

code example: string

code.Type: string

- error (string; optional)

error example: string

error.Type: string

- externalQueryId (string; optional)

externalQueryId example: string

externalQueryId.Type: string

- msg (string; optional)

msg example: string

msg.Type: string

Example



```json
{
  "code": "string",
  "error": "string",
  "externalQueryId": "string",
  "msg": "string"
}
```